# Uses of Interface
org.springframework.web.servlet.ThemeResolver

Packages that use ThemeResolver
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.support
Support classes for Spring's web MVC framework.
org.springframework.web.servlet.theme
Theme support classes for Spring's web MVC framework.

## Uses of ThemeResolver in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return ThemeResolver
Modifier and Type
Method
Description
`ThemeResolver`
WebMvcConfigurationSupport.`themeResolver()`
Deprecated.

## Uses of ThemeResolver in org.springframework.web.servlet.support

Methods in org.springframework.web.servlet.support that return ThemeResolver
Modifier and Type
Method
Description
`static ThemeResolver`
RequestContextUtils.`getThemeResolver(HttpServletRequest request)`
Deprecated.
as of 6.0, with no direct replacement

## Uses of ThemeResolver in org.springframework.web.servlet.theme

Classes in org.springframework.web.servlet.theme that implement ThemeResolver
Modifier and Type
Class
Description
`class`
`AbstractThemeResolver`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
`class`
`CookieThemeResolver`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
`class`
`FixedThemeResolver`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
`class`
`SessionThemeResolver`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement